function CstMaterialExist(CName)

global mws material;

    material  = mws.invoke('Material');
    nMat=material.invoke('GetNumberOfMaterials'); %Pocet nactenych materialu v menu CST
    for i=1:(nMat)
        Mat= material.invoke('GetNameOfMaterialFromIndex',(i-1)); %Nacteni vsech pouzitych materialu
        if strcmp(Mat,CName)
            return;         %V pripade ze material uz existuje, je z funkce vyskoceno
        end
    end
                        %V pripadem ze material jeste neni v seznamu
                        %pouzivanych materialu, je material nacten
run([CName 'Material']);%Jestlize material nebyl nalezen v seznamu nactenych materialu v CST vyvola se funkce 
                        %pro definovani zvoleneho materialu
end